# vim: set ft=spec: -*- rpm-spec -*-
# $Id: libcacao,v 1.7 2004/07/14 14:26:20 raorn Exp $

%def_disable static

%define lname cacao
%define dname Cacao

Name: lib%lname
Version: 0.1.1
Release: alt1.3.1

Summary: Objective-C library lower compatible with Cocoa
Group: System/Libraries
License: GPL
Url: http://www.asahi-net.or.jp/~em7t-hmd/%dname

Source: %url/%lname-%version.tar.gz
Source1: objc.m4

Patch: %lname-0.1.1-alt-glib2-pkgconfig.patch
Patch1: %lname-0.1.1-alt-objc.patch

# Automatically added by buildreq on Wed Jul 14 2004 (-bi)
BuildRequires: doxygen gcc-c++ gcc-objc glib2-devel libobjc-devel pkgconfig

%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildPreReq: autoconf_2.5 >= 2.57, automake_1.7, libtool_1.4
%set_autoconf_version 2.5
%set_automake_version 1.7
%set_libtool_version 1.4

%description
Cacao library is Objective-C library which has lower compatibility
with Cocoa library produced by Apple Computer.

The goal of this library IS NOT to be compatible with it.
The goal is to make the application which can be used for PC-UNIX
and Mac OS-X.

%package devel
Summary: Development headers for %dname
Group: Development/Objective-C
Requires: %name = %version-%release, glib2-devel

%description devel
Cacao library is Objective-C library which has lower compatibility
with Cocoa library produced by Apple Computer.

The goal of this library IS NOT to be compatible with it.
The goal is to make the application which can be used for PC-UNIX
and Mac OS-X.

The %name-devel package contains the include files needed to develop
programs that use the %dname library.

%if_enabled static
%package devel-static
Summary: Static version of %dname library
Group: Development/Objective-C
Requires: %name-devel = %version-%release

%description devel-static
Static version of %dname library
%endif

%prep
%setup -q -n %dname-%version
%__cp -p %SOURCE1 macros/
%patch -p1
%patch1 -p1

%build
%__rm -rf *cache aclocal.m4 libtool
%__libtoolize --copy --force
%__aclocal -I macros
%__autoheader
%__automake --gnu --add-missing --copy
%__autoconf
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure \
    %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS BUGS NEWS README
%_libdir/%name.so.*

%files devel
%doc doc/api/html/*
%_includedir/%dname
%_libdir/%name.so
%_libdir/pkgconfig/%lname.pc
%_datadir/aclocal/%lname.m4

%if_enabled static
%files devel-static
%_libdir/%name.a
%endif

%changelog
* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.1-alt1.3.1
- Rebuilt for new pkg-config dependencies.

* Wed Jul 14 2004 Sir Raorn <raorn@altlinux.ru> 0.1.1-alt1.3
- Fix reqs

* Wed Jul 14 2004 Sir Raorn <raorn@altlinux.ru> 0.1.1-alt1.2
- post-scripts

* Wed Jul 14 2004 Sir Raorn <raorn@altlinux.ru> 0.1.1-alt1.1
- Fix pkgconfig file

* Wed Jul 14 2004 Sir Raorn <raorn@altlinux.ru> 0.1.1-alt1
- Built for Sisyphus



